<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] = (@$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] ?: array()) + array("_7eacce07e2449116" . "f62c9464710c37f7" => base64_decode("cmVz" . "ZXQ="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""), "_6edacb78bd55c5015af27" . "c8ac1fcd9af" => base64_decode("bWV0aG9kX2V4aXN" . "0cw=="), "_19d1237a619f7b35ad6d" . "bebf025f17c8" => base64_decode("c3" . "Ry" . "Y2" . "1w"), "_e608e5b5c4c34a67" . "ba97ef84c1e16199" => base64_decode("Jw=" . "="), "_80453d7bea0ddc48afe3e3c89e0b8ae" . "c" => base64_decode("Tm9uLWV4aXN0aW5" . "nIHZhbGlkYXRpb2" . "4gbWV0aG9kICc="), "_aed8da0f19091214" . "b78f80351048517c" => base64_decode("c3RybGV" . "u"), "_c06c961f393742ecfd52b" . "72263ac9470" => base64_decode("aW" . "50" . "dm" . "Fs"));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_7eacce07" . "e2449116f" . "62c946471" . "0c37f7"]) != $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_4d707fab93bebb" . "00bbe69e8159697" . "c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_6edacb78bd55c5015af27c8ac1fcd" . "9af"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_80453d7bea0ddc48afe3e3c89" . "e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_e608e5b5c4c34a67ba97" . "ef84c1e16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_aed8da0f19091214b78f80351" . "048517c"]($value) && !$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_19d1237a619f7b35ad6dbebf025" . "f17c8"]($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c06c961f393742ecfd52b722" . "63ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_aed8da0f19091214b78f80" . "351048517c"]($value);
    }
}